/* YOODA : Yet another Object Oriented Database
   Copyright (C) 1994  Eric Abecassis

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free
Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. */


#ifndef __GNUG__

#define _G_ARGS(x) x

struct hostent ;

extern "C" {
  int       gethostname _G_ARGS((char*, int));
  int       setsockopt _G_ARGS((int, int, int, const char*, int));
  int       connect _G_ARGS((int, struct sockaddr*, int));
  int       socket(int, int, int);
  int       bind(int, const void*, int) ;
  int       getsockname (int, struct sockaddr*, int*);
  int       listen(int, int);
  int       accept(int, struct sockaddr*, int*);
  int       recv(int, void*, int, int);
  int       gethostname (char*, int) ;
  int       fsync(int) ;
  void      bcopy(char*, char*, int) ;
  int       lockf(int fd, int req, off_t size) ;
  pid_t     getpid( void ) ;
} 

#endif
